浏览代码

Merge branch 'master' of git+ssh://openadk.org/git/openadk

Waldemar Brodkorb 10 年之前
父节点
当前提交
d07bf77e22

+ 1 - 1
package/base-files/Makefile

@@ -6,7 +6,7 @@ include $(TOPDIR)/mk/rootfs.mk
 
 PKG_NAME:=		base-files
 PKG_VERSION:=		1.0
-PKG_RELEASE:=		69
+PKG_RELEASE:=		70
 PKG_SECTION:=		base
 PKG_DESCR:=		basic files and scripts
 PKG_BUILDDEP:=		pkgconf-host file-host

+ 2 - 51
package/base-files/src/etc/init.d/fs

@@ -2,66 +2,17 @@
 #INIT 60
 [[ $1 = autostart ]] || exit 0
 
-# activate swap
-[ -x /sbin/swapon ] && { swapon -a; }
-
-# activate any logical volumes
-[ -x /usr/sbin/lvm ] && { lvm vgscan; lvm vgchange -ay; }
-
-# filesystem checks
-[ -x /sbin/fsck.ext2 ] && {
-	for i in $(grep ext2 /etc/fstab|awk '{ print $1}');do fsck.ext2 $i;done;
-}
-[ -x /sbin/fsck.ext3 ] && {
-	for i in $(grep ext3 /etc/fstab|awk '{ print $1}');do fsck.ext3 $i;done;
-}
-[ -x /sbin/fsck.ext4 ] && {
-	for i in $(grep ext4 /etc/fstab|awk '{ print $1}');do fsck.ext4 $i;done;
-}
-[ -x /sbin/fsck.xfs ] && {
-	for i in $(grep xfs /etc/fstab|awk '{ print $1}');do xfs_repair $i;done;
-}
-# local filesystems
-grep ext2 /proc/filesystems  >/dev/null 2>&1
-if [ $? -eq 0 ];then
-	grep ext2 /etc/fstab  >/dev/null 2>&1
-	if [ $? -eq 0 ];then
-		mount -a -t ext2
-	fi
-fi
-grep ext3 /proc/filesystems  >/dev/null 2>&1
-if [ $? -eq 0 ];then
-	grep ext3 /etc/fstab  >/dev/null 2>&1
-	if [ $? -eq 0 ];then
-		mount -a -t ext3
-	fi
-fi
-grep ext4 /proc/filesystems  >/dev/null 2>&1
-if [ $? -eq 0 ];then
-	grep ext4 /etc/fstab  >/dev/null 2>&1
-	if [ $? -eq 0 ];then
-		mount -a -t ext4
-	fi
-fi
-grep xfs /proc/filesystems  >/dev/null 2>&1
-if [ $? -eq 0 ];then
-	grep xfs /etc/fstab  >/dev/null 2>&1
-	if [ $? -eq 0 ];then
-		mount -a -t xfs
-	fi
-fi
-
 # mount net filesystems (nfs/cifs)
 grep nfs /proc/filesystems  >/dev/null 2>&1
 if [ $? -eq 0 ];then
-	grep nfs /etc/fstab  >/dev/null 2>&1
+	grep -v "^#" /etc/fstab| grep nfs >/dev/null 2>&1
 	if [ $? -eq 0 ];then
 		mount -a -t nfs
 	fi
 fi
 grep cifs /proc/filesystems  >/dev/null 2>&1
 if [ $? -eq 0 ];then
-	grep cifs /etc/fstab >/dev/null 2>&1
+	grep -v "^#" /etc/fstab| grep cifs >/dev/null 2>&1
 	if [ $? -eq 0 ];then
 		mount -a -t cifs
 	fi

+ 53 - 0
package/base-files/src/etc/init.d/fsnet

@@ -0,0 +1,53 @@
+#!/bin/sh
+#INIT 20
+[[ $1 = autostart ]] || exit 0
+
+# activate swap
+[ -x /sbin/swapon ] && { swapon -a; }
+
+# activate any logical volumes
+[ -x /usr/sbin/lvm ] && { lvm vgscan; lvm vgchange -ay; }
+
+# filesystem checks
+[ -x /sbin/fsck.ext2 ] && {
+	for i in $(grep -v "^#" /etc/fstab|grep ext2|awk '{ print $1}');do fsck.ext2 $i;done;
+}
+[ -x /sbin/fsck.ext3 ] && {
+	for i in $(grep -v "^#" /etc/fstab|grep ext3|awk '{ print $1}');do fsck.ext3 $i;done;
+}
+[ -x /sbin/fsck.ext4 ] && {
+	for i in $(grep -v "^#" /etc/fstab|grep ext4|awk '{ print $1}');do fsck.ext4 $i;done;
+}
+[ -x /sbin/fsck.xfs ] && {
+	for i in $(grep -v "^#" /etc/fstab|grep xfs|awk '{ print $1}');do xfs_repair $i;done;
+}
+# local filesystems
+grep ext2 /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep -v "^#" /etc/fstab |grep ext2 >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ext2
+	fi
+fi
+grep ext3 /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep -v "^#" /etc/fstab |grep ext3 >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ext3
+	fi
+fi
+grep ext4 /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep -v "^#" /etc/fstab |grep ext4 >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ext4
+	fi
+fi
+grep xfs /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep -v "^#" /etc/fstab |grep xfs >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t xfs
+	fi
+fi
+exit 0

+ 10 - 8
package/dosfstools/Makefile

@@ -4,13 +4,15 @@
 include ${TOPDIR}/rules.mk
 
 PKG_NAME:=		dosfstools
-PKG_VERSION:=		3.0.9
-PKG_RELEASE:=		2
-PKG_MD5SUM:=		bd273cf8aa6341c0b52cbac72050bcf4
-PKG_DESCR:=		Utilities to create and check MS-DOS FAT filesystems
+PKG_VERSION:=		3.0.26
+PKG_RELEASE:=		1
+PKG_MD5SUM:=		45012f5f56f2aae3afcd62120b9e5a08
+PKG_DESCR:=		utilities to create and check FAT filesystems
 PKG_SECTION:=		fs
 PKG_URL:=		http://www.daniel-baumann.ch/software/dosfstools/
-PKG_SITES:=		http://www.daniel-baumann.ch/software/dosfstools/
+PKG_SITES:=		http://daniel-baumann.ch/files/software/dosfstools/
+
+DISTFILES:=		${PKG_NAME}-${PKG_VERSION}.tar.xz
 
 include ${TOPDIR}/mk/package.mk
 
@@ -19,11 +21,11 @@ $(eval $(call PKG_template,DOSFSTOOLS,dosfstools,${PKG_VERSION}-${PKG_RELEASE},$
 CONFIG_STYLE:=		manual
 XAKE_FLAGS+=		PREFIX="" OPTFLAGS="-D_FILE_OFFSET_BITS=64"
 
-post-install:
+dosfstools-install:
 	${INSTALL_DIR} ${IDIR_DOSFSTOOLS}/sbin
 	${CP} ${WRKINST}/sbin/dosfsck ${IDIR_DOSFSTOOLS}/sbin/
-	${CP} ${WRKINST}/sbin/fsck.{msdos,vfat} ${IDIR_DOSFSTOOLS}/sbin/
+	${CP} ${WRKINST}/sbin/fsck.{msdos,vfat,fat} ${IDIR_DOSFSTOOLS}/sbin/
 	${CP} ${WRKINST}/sbin/mkdosfs ${IDIR_DOSFSTOOLS}/sbin/
-	${CP} ${WRKINST}/sbin/mkfs.{msdos,vfat} ${IDIR_DOSFSTOOLS}/sbin/
+	${CP} ${WRKINST}/sbin/mkfs.{msdos,vfat,fat} ${IDIR_DOSFSTOOLS}/sbin/
 
 include ${TOPDIR}/mk/pkg-bottom.mk

+ 2 - 2
package/samba/Makefile

@@ -4,9 +4,9 @@
 include ${TOPDIR}/rules.mk
 
 PKG_NAME:=		samba
-PKG_VERSION:=		3.6.21
+PKG_VERSION:=		3.6.23
 PKG_RELEASE:=		1
-PKG_MD5SUM:=		faa67c625508dc495c082357913ccea6
+PKG_MD5SUM:=		2f7aee1dc5d31aefcb364600915b31dc
 PKG_DESCR:=		NetBIOS/SMB file and print server
 PKG_SECTION:=		net/fs
 PKG_BUILDDEP:=		gettext-tiny util-linux popt